Retrieves all messages in a Watts chat session
Use this endpoint to get the full conversation history for a chat. Returns messages in chronological order.
The chat must be active (not deleted) and belong to the authenticated user.
Requires the VirtualEnergyManager feature flag.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| chatId | Unique numeric identifier of the chat | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
WattsChatMessageResponseV202510
| Property | Description | Type |
|---|---|---|
| content | Full message content | string |
| createdDate | Date/time offset representing when Watts chat message was sent | string (date-time) |
| wattsChatMessageId | The identifier for the Watts chat message | integer (int32) |
| wattsChatMessageRole | Watts chat message role. 1-User, 2-Assistant, 3-Error. Must be a valid value for WattsChatMessageRole: User = 1, Assistant = 2, Error = 3 | integer (int32) |
Example Response
[
{ "content": "string", "createdDate": "2026-06-12", "wattsChatMessageId": 1, "wattsChatMessageRole": 1
}
]